summaryrefslogtreecommitdiff
path: root/xts5/src/bin/scripts/pt
diff options
context:
space:
mode:
Diffstat (limited to 'xts5/src/bin/scripts/pt')
-rwxr-xr-xxts5/src/bin/scripts/pt57
1 files changed, 38 insertions, 19 deletions
diff --git a/xts5/src/bin/scripts/pt b/xts5/src/bin/scripts/pt
index 0e0f8db3..804edee9 100755
--- a/xts5/src/bin/scripts/pt
+++ b/xts5/src/bin/scripts/pt
@@ -2,33 +2,31 @@
#
# $XConsortium: pt,v 1.2 92/06/30 17:32:56 rws Exp $
#
-# Flags accepted.
-# -v XT_VARIABLE_NAME=Value Add a variable setting
-# -d display Set the display
-# -i <IC's> List of IC's to do
-# -p Do pixmaps only.
-# -w Do windows only.
-# -P Pause after each drawing.
-# -D Do default depth of screen only.
-# -x <lev> Set debug level
-# -g Generate pixmaps.
-# -m Use macro version of function.
+usage () {
+echo "Flags accepted.
+ -v XT_VARIABLE_NAME=Value Add a variable setting
+ -d display Set the display
+ -i <IC's> List of IC's to do
+ -p Do pixmaps only.
+ -w Do windows only.
+ -P Pause after each drawing.
+ -D Do default depth of screen only.
+ -x <lev> Set debug level
+ -g Generate pixmaps.
+ -m Use macro version of function.
+"
+}
# The display defaults to $DISPLAY
#
trap "rm -f CONFIG" 0
-PROG=./Test
-if [ ! -f $PROG ]; then
- # If there isn't a ./Test then try for the space saving name.
- THISDIR=`pwd`
- PROG=./`basename $THISDIR`
-fi
-
ICS=
echo > CONFIG
+GDB=""
+
while [ $# -gt 0 ]
do
case $1 in
@@ -63,13 +61,29 @@ do
-g)
PROG=./pvgen
;;
+ -gdb)
+ GDB=gdb
+ ;;
-m)
PROG=./MTest
;;
+ -h)
+ usage
+ exit 0
+ ;;
+ *)
+ PROG=$1
+ ;;
esac
shift
done
+if [ ! -f "$PROG" ]; then
+ echo "Cannot find test run '$PROG'";
+ exit 1
+fi
+
+
# config=${TET_CONFIG:-$TET_ROOT/xts5/tetexec.cfg}
# Since :- is not universal, and I really want that functionality.
if [ x"$TET_CONFIG" = x"" ]; then
@@ -78,6 +92,11 @@ else
config=$TET_CONFIG
fi
+if [ -z "$TEST_RESFILE" ]; then
+ TET_RESFILE=$PROG.log
+ export TET_RESFILE
+fi
+
cat $config >> CONFIG
echo "junk=junk" >> CONFIG # TEMP
@@ -94,5 +113,5 @@ export TET_CODE
rm -f Err*.err
env | grep TET
-$PROG $ICS
+$GDB $PROG $ICS